using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct v3f
	{
		public bool IsEmpty
		{
			get
			{
				return this.x == 0f && this.y == 0f && this.z == 0f;
			}
		}

		public float x;

		public float y;

		public float z;
	}
}
